# $Revision: 1.14 $, $Date: 2009/10/08 21:00:35 $
Summary:	X Remote eXecution using WWW browser
Summary(pl.UTF-8):	X Remote eXecution - zdalne wywoływanie aplikacji przy użyciu przeglądarki WWW
Name:		xorg-app-xrx
Version:	1.0.3
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/xrx-%{version}.tar.bz2
# Source0-md5:	c121945afcfc84e99af17158fda68be9
Patch0:		%{name}-ac.patch
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXau-devel
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xorg-lib-xtrans-devel
BuildRequires:	xorg-proto-xproxymanagementprotocol-devel
BuildRequires:	xorg-util-util-macros >= 1.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The remote execution (RX) service specifies a MIME format for invoking
applications remotely, for example via a World Wide Web browser. This
RX format specifies a syntax for listing network services required by
the application, for example an X display server. The requesting Web
browser must identify specific instances of the services in the request
to invoke the application.

The distribution contains a helper program (xrx) and a Mozilla family
browser plug-in (libxrx) that demonstrate this protocol.

%description -l pl.UTF-8
Usługa RX (Remote eXecution) określa format MIME do zdalnego
wywoływania aplikacji, na przykład poprzez przeglądarkę WWW. Format RX
określa składnię definiowania usług sieciowych wymaganych przez
aplikację, na przykład serwera X. Przeglądarka wysyłająca żądania musi
podać w żądaniu określone instancje usługi w celu wywołania aplikacji.

Ten pakiet zawiera program pomocniczy (xrx) oraz wtyczkę przeglądarki
z rodziny Mozilli (libxrx) demonstrujące działanie tego protokołu.

%prep
%setup -q -n xrx-%{version}
%patch -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# not needed for plugins
rm -f $RPM_BUILD_ROOT%{_libdir}/libxrx*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/xrx
%attr(755,root,root) %{_libdir}/libxrx.so
%attr(755,root,root) %{_libdir}/libxrxnest.so
%{_mandir}/man1/libxrx.1x*
%{_mandir}/man1/xrx.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-xrx.spec,v $
Revision 1.14  2009/10/08 21:00:35  qboosh
- removed obsolete sed hack

Revision 1.13  2009/10/08 20:50:37  qboosh
- updated util-macros version
- added ac patch

Revision 1.12  2009/08/13 19:50:02  arekm
- up to 1.0.3

Revision 1.11  2008/11/09 11:27:54  arekm
- rel 3; no xaw xprint

Revision 1.10  2008/11/07 20:51:56  arekm
- release 2

Revision 1.9  2008/06/26 18:04:40  qboosh
- updated to 1.0.2
- added ac patch
- informative descs

Revision 1.8  2007/11/09 09:18:59  witekfl
- s|X11/Application|X11/Applications|

Revision 1.7  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.5  2006/10/15 23:44:01  qboosh
- use individual dir, more verbose files, release 1

Revision 1.4  2006/01/13 09:10:30  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.3  2005/11/19 22:19:35  qboosh
- 0.99.2 (X11R7.0-RC2)

Revision 1.2  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.1  2005/10/22 16:47:45  qboosh
- new
